osl::misc::LightMutexChar Class Reference

`#include <lightMutex.h>`

## Public Types

typedef LightScopedLock< LightMutexChar > | scoped_lock

## Public Member Functions

| LightMutexChar ()
bool | tryLock ()
bool | waitLock (int counter)
void | lock ()
void | unlock ()

## Private Member Functions

| LightMutexChar (const LightMutexChar &)=delete
LightMutexChar & | operator= (const LightMutexChar &)=delete

## Private Attributes

volatile char | data

## Detailed Description

Definition at line 121 of file lightMutex.h.

## Member Typedef Documentation

## scoped_lock

typedef LightScopedLock<LightMutexChar> osl::misc::LightMutexChar::scoped_lock

Definition at line 127 of file lightMutex.h.

## Constructor & Destructor Documentation

## LightMutexChar() [1/2]

osl::misc::LightMutexChar::LightMutexChar | ( | const LightMutexChar & |  | ) |

private delete

References LightMutexChar().

Referenced by LightMutexChar(), and operator=().

## LightMutexChar() [2/2]

osl::misc::LightMutexChar::LightMutexChar | ( |  | ) |

inline

Definition at line 128 of file lightMutex.h.

References data.

## Member Function Documentation

## lock()

void osl::misc::LightMutexChar::lock | ( |  | ) |

inline

Definition at line 153 of file lightMutex.h.

References tryLock(), and waitLock().

## operator=()

LightMutexChar & osl::misc::LightMutexChar::operator= | ( | const LightMutexChar & |  | ) |

private delete

References LightMutexChar().

## tryLock()

bool osl::misc::LightMutexChar::tryLock | ( |  | ) |

inline

Definition at line 129 of file lightMutex.h.

References data.

Referenced by lock().

## unlock()

void osl::misc::LightMutexChar::unlock | ( |  | ) |

inline

Definition at line 162 of file lightMutex.h.

References data.

## waitLock()

bool osl::misc::LightMutexChar::waitLock | ( | int | counter | ) |

inline

Definition at line 143 of file lightMutex.h.

References data.

Referenced by lock().

## Member Data Documentation

## data

volatile char osl::misc::LightMutexChar::data

private

Definition at line 125 of file lightMutex.h.

Referenced by LightMutexChar(), tryLock(), unlock(), and waitLock().

The documentation for this class was generated from the following file:

- lightMutex.h